#include <bits/stdc++.h>

using namespace std;

int a[1002];
int n, k, x;

void ispis()
{
    for(int i=0;i<n;i++) cout << a[i] << " ";
    cout << endl;
}
int main ()
{
    cin >> n >> k >> x;
    if(n==k) { cout << -1 << endl; return 0; }
    if(k==0)
    {
        if(n*(n-1)/2!=k) cout << -1;
        else for(int i=0;i<n;i++) cout << 1 << " ";
        cout << endl;
        return 0;
    }
    if(n==1)
    {
        cout << -1 << endl;
        return 0;
    }
    a[0]=1;
    for(int i=1;i<n;i++) a[i]=x+1;
    k-=(n-1);
    if(k==0) { ispis(); return 0; }
    if(k<0) { cout << -1 << endl; return 0; }
    for(int i=1;i<n;i++)
    {
        if(k>=i) { a[i]=a[i-1]+x; k-=i; }
        else a[i]=a[k]+x-1;
    }
    for(int i=0;i<n;i++) cout << a[i] << endl;
    return 0;
}